use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'POWER::SQL',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@asdfgroup.com>',
    dist_version_from   => 'lib/POWER/SQL.pm',
    requires => {
        # to test
        'Test::More'            => 0,
        'Test::Exception'       => 0,
        # to run
        'version'               => 0,
    },
    add_to_cleanup      => [ 'POWER-SQL-*' ],
);

$builder->create_build_script();

my $db  = $builder->prompt("Enter database name for testing:",    'test');
my $user= $builder->prompt("Enter user name for database '$db':", 'test');
my $pass= $builder->prompt("Enter password for user '$user':",    '');
open F, '> t/.db' or die "open: $!";
print F "dbi:mysql:$db\n$user\n$pass\n";
close F;
