#!/usr/bin/perl
use warnings;
use strict;

use Test::More tests => 3;

use DBI;

use POWER::SQL;

my $dbh = DBI->connect((map{s/\n//;$_}`cat t/.db`),{RaiseError=>1});

my $table_i = "POWER_SQL_test_i_$$";
$dbh->do("CREATE TABLE $table_i (id int auto_increment primary key, i int)");
END { $dbh->do("DROP TABLE $table_i") }

my @test_i = (
    "{i=>undef}"		=> [{id=>1,i=>undef}],
    "{i=>0}"			=> [{id=>1,i=>0}],
    "{i=>1}"			=> [{id=>1,i=>1}],
    );

my $sth = $dbh->prepare("SELECT * FROM $table_i");
while (@test_i) {
    my ($test, $wait) = (shift @test_i, shift @test_i);
    $dbh->Insert($table_i, eval($test));
    $sth->execute();
    is_deeply($sth->fetchall_arrayref({}), $wait, $test);
    $dbh->do("TRUNCATE TABLE $table_i");
}

